apiVersion: apps/v1
kind: Deployment
metadata:
  name: green-deployment
  namespace: hw-02
spec:
  selector:
    matchLabels:
      app: green-deployment
      version: hello-world-2.0.0
  replicas: 3
  template:
    metadata:
      labels:
        app: green-deployment
        version: hello-world-2.0.0
    spec:
      containers:
        - name: green-deployment
          image: scorpius8/hello-world:2.0.0